[indent=4] 
  
/* Build with valac --pkg gtk+-2.0 brs_def.gs */ 
  
uses 
    Gtk 
  
init 
    Gtk.init (ref args) 
    var test = new StatusIconTest () 
    test.show_all () 
    Gtk.main () 
  
class StatusIconTest : Widget 
  
    trayicon : StatusIcon 
    menu : Menu 
  
    init 
        /* Create tray icon */ 
        trayicon = new StatusIcon.from_file("/usr/share/pixmaps/www20.png") 
        trayicon.set_tooltip_text ("Click to change default browser") 
        trayicon.set_visible(true) 
        trayicon.activate.connect(icon_clicked) 
        create_menu() 
  
        /* Create menu */ 
    def private create_menu () 
        menu = new Menu() 
        var menuItem0 = new ImageMenuItem.from_stock("Open browser-default", null) 
        menuItem0.activate.connect(icon_clicked) 
        menu.append(menuItem0) 
        var menuItem2 = new ImageMenuItem.from_stock(STOCK_QUIT, null) 
        menuItem2.activate.connect(exit_app) 
        menu.append(menuItem2) 
        menu.show_all() 
        trayicon.popup_menu.connect(show_popup) 
  
        /* Show popup menu */ 
    def private show_popup (button : uint, time : uint) 
        menu.popup(null, null, null, button, time) 
  
    def private icon_clicked () 
        Process.spawn_command_line_async("sh /usr/sbin/browsewrap") // Exec the file 
  
    def private exit_app () 
        Gtk.main_quit();